# GstVulkanImageBufferPool

a GstVulkanImageBufferPool is an object that allocates buffers with GstVulkanImageMemory

A GstVulkanImageBufferPool is created with gst_vulkan_image_buffer_pool_new

GstVulkanImageBufferPool implements the VideoMeta buffer pool option GST_BUFFER_POOL_OPTION_VIDEO_META

## GstVulkanImageBufferPool

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstBufferPool
                    ╰──GstVulkanImageBufferPool

### Members

`bufferpool` (GstBufferPool) –

parent GstBufferPool

`device` (GstVulkanDevice *) –

the GstVulkanDevice to allocate images from

### Class structure

#### GstVulkanImageBufferPoolClass

The GstVulkanImageBufferPoolClass structure contains only private data

##### Fields

`parent_class` (GstBufferPoolClass) –

parent GstBufferPoolClass

### GstVulkan.VulkanImageBufferPoolClass

The GstVulkan.VulkanImageBufferPoolClass structure contains only private data

##### Attributes

`parent_class` (Gst.BufferPoolClass) –

parent Gst.BufferPoolClass

### GstVulkan.VulkanImageBufferPoolClass

The GstVulkan.VulkanImageBufferPoolClass structure contains only private data

##### Attributes

`parent_class` (Gst.BufferPoolClass) –

parent Gst.BufferPoolClass

## GstVulkan.VulkanImageBufferPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.BufferPool
                    ╰──GstVulkan.VulkanImageBufferPool

### Members

`bufferpool` (Gst.BufferPool) –

parent Gst.BufferPool

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice to allocate images from

## GstVulkan.VulkanImageBufferPool

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.BufferPool
                    ╰──GstVulkan.VulkanImageBufferPool

### Members

`bufferpool` (Gst.BufferPool) –

parent Gst.BufferPool

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice to allocate images from

### Constructors

#### gst_vulkan_image_buffer_pool_new

    GstBufferPool *
    gst_vulkan_image_buffer_pool_new (GstVulkanDevice * device)

Parameters:

`device` –

the GstVulkanDevice to use

Returns ( [transfer: full]) –

a GstBufferPool that allocates buffers with GstGLMemory

Since : 1.18

#### GstVulkan.VulkanImageBufferPool.prototype.new

    function GstVulkan.VulkanImageBufferPool.prototype.new(device: GstVulkan.VulkanDevice): {
        // javascript wrapper for 'gst_vulkan_image_buffer_pool_new'
    }

Parameters:

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice to use

Returns (Gst.BufferPool) –

a Gst.BufferPool that allocates buffers with GstGL.GLMemory

Since : 1.18

#### GstVulkan.VulkanImageBufferPool.new

    def GstVulkan.VulkanImageBufferPool.new (device):
        #python wrapper for 'gst_vulkan_image_buffer_pool_new'

Parameters:

`device` (GstVulkan.VulkanDevice) –

the GstVulkan.VulkanDevice to use

Returns (Gst.BufferPool) –

a Gst.BufferPool that allocates buffers with GstGL.GLMemory

Since : 1.18

## Function Macros

### GST_VULKAN_IMAGE_BUFFER_POOL_CAST

    #define GST_VULKAN_IMAGE_BUFFER_POOL_CAST(obj) ((GstVulkanImageBufferPool*)(obj))

The results of the search are